Keysight DigitalTest Application Sequencer Software Online Help

Version 01.00.0.0

© Keysight Technologies 2017

Warranty
Technology License
Restricted Rights Legend
Safety Notices
Trademarks

November, 2017

Table of Contents

· DigitalTest Application Sequencer Software—At a Glance

· Launching the DigitalTest Application Sequencer Software

· Accessing the DTAS Help file

· Managing Profile and App Preferences

· Configuring DTAS Options

· Defaulting DTAS Settings

· Connecting DTAS to Infiniium Oscilloscope

· Saving Sequencer Settings

· Loading Sequencer Settings

· Managing Test Apps

· Managing Test Plan

· Exiting the DTAS Software

DigitalTest Application Sequencer Software

Online Help


DigitalTest Application Sequencer Software—At a Glance

Keysight DigitalTest Application Sequencer Software Online Help

DigitalTest Application Sequencer Software—At a Glance

The Keysight DigitalTest Application Sequencer Software (DTAS) enables you to construct test plans for multiple Infiniium Test Applications. Some of the features of this software are:

· Verifies the installed version of each supported Test Application to ensure it meets a minimum version.

· Enables Test Apps to declare "default projects", followed by "Connect & Go".

· Enables specification of additional projects that must be run.

· Provides single-run feature.

To understand the functionality of the DigitalTest Application Sequencer Software, see:

· Launching the DigitalTest Application Sequencer Software

· Accessing the DTAS Help file

· Managing Profile and App Preferences

· Adding a Profile

· Removing a Profile

· Adding a new Test App name

· Removing a user-added Test App name

· Configuring Test App names in a Profile

· Configuring DTAS Options

· Selecting a Profile

· Filtering projects in a Profile

· Setting options for test runs

· Setting directory for CSV Results

· Defaulting Sequencer Settings

· Connecting DTAS to Infiniium Oscilloscope

· Saving Sequencer Settings

· Loading Sequencer Settings

· Managing Test Apps

· Enabling Test Apps

· Creating User-Defined Projects in Test App

· Adding User-Defined Projects to Test Plan

· Managing Test Plan

· Exploring a project

· Excluding a project

· Browsing result location

· Running projects in the Test Plan

· Viewing the HTML Report

· Exploring the test results

· Exiting the DTAS Software

Next

· Launching the DigitalTest Application Sequencer Software


Launching the DigitalTest Application Sequencer Software

Keysight DigitalTest Application Sequencer Software Online Help

Launching the DigitalTest Application Sequencer Software

The DigitalTest Application Sequencer (DTAS) Software can be run as a standalone software on the machine where it has been installed.

To launch DTAS Software,

· Win7 users:

  1. From the Start menu on your PC, click All Programs > Keysight DigitalTest Applications > App Sequencer > DigitalTest Application Sequencer.

· Win 10 users:

  1. From the Start menu on your PC, click All Apps > Keysight DigitalTest Applications > DigitalTest Application Sequencer.

  • The Keysight DigitalTest Application Sequencer software appears.

· Accessing the DTAS Help file


Accessing the DTAS Help file

Keysight DigitalTest Application Sequencer Software Online Help

Accessing the DTAS Help file

To know more about the functionality of the various features and to understand the workflow in the DigitalTest Application Sequencer (DTAS) software, you may refer to the Online Help.

  1. On the main window on the DTAS software, click [image].

  • The Keysight DigitalTest Application Sequencer Software Online Help appears.

  2. Expand the navigation pane on the left to view the workflow and associated contents.

· Managing Profile and App Preferences


Managing Profile and App Preferences

Configuring DTAS Options

Managing Profile and App Preferences

You can add a new Profile, remove or configure existing Profiles in the DigitalTest Application Sequencer (DTAS) software.

Profiles are groupings of Test Applications that are related by the type of testing you are performing.

The DTAS software also facilitates adding a new Test Application name to the default profile along with removing any user-added Test Application names. Note that (All Apps) is the default Profile.

You may include or exclude a Test App name to every non-default Profile.

Note

· The Manage... button in the Preferences window is available only when the DTAS software is disconnected from the Infiniium Oscilloscope. If you are currently connected to an instrument, first click Disconnect before proceeding with managing the Profiles and Apps. Refer to Disconnecting DTAS from Infiniium Oscilloscope for more information.

To manage the Profiles and Apps in the DTAS software,

  1. On the lower pane of the main window of the DTAS software, click the [image] button.

  • The Preferences dialog appears.

  2. Click the [image] button. The Profiles window appears.

  3. Perform one or more of the following actions on the Profiles window:

    • Add a Profile

    • Remove a Profile

    • Add a new Test App name

    • Remove a user-added App name

    • Configure Test App names in a Profile

· Adding a Profile


Adding a Profile

Managing Profile and App Preferences

Adding a Profile

To add a new Profile to the DTAS software,

  1. In the upper-pane for Names, click [image].

  2. Enter an alphanumeric value in the text field that appears.

  3. Click [image] to add the new Profile name. The new Profile name is added along with the other Profile names in the Names pane.

  4. Perform one of the following actions:

  • Repeat the previous steps to add more Profile names.

  • Add a new Test App name to the default profile.

  • Select another profile to configure Test App names.

  5. Click [image] to save the changes, else click [image] to simply return to the Options window.

· Removing a Profile


Removing a Profile

Managing Profile and App Preferences

Removing a Profile

Note

Only user-added profiles may be removed from the DigitalTest Application Sequencer (DTAS) software.

To remove a Profile from the DTAS software,

  1. In the upper-pane for Names, select a Profile name you wish to remove.

  2. Click [image] to delete the selected Profile name.

  3. Repeat the previous steps to remove more Profile names.

  4. Click [image] to save the changes, else click [image] to simply return to the Preferences window.

· Adding a new Test App name


Adding a new Test App name

Managing Profile and App Preferences

Adding a new Test App name

You can add a new Test Application name to the default Profile (All Apps) only. Once added, the added Test Application name is available for selection in other Profile names.

To add a new Test Application name,

  1. With the default profile (All Apps) highlighted in the Names pane, click the [image] button in the lower-pane for Apps.

  2. Enter the Test Application name in the text field that appears.

Note

· Enter the name as as a unique subset of the associated item in the Infiniium > Analyze > Automated Test Apps menu (Infiniium searches this menu level for a match before checking the User-Defined submenu). For example, DDRx (where 'x' is the version of the DDR technology) will be matched to N1234A DDRx Test app even if a user-defined My DDRx app is installed. This will enable Infiniium to launch the correct application during Test Plan execution.

  3. Click the [image] button on the left to add the new Test Application name to the (All Apps) Profile. The new Test Application name is listed along with the other Test Application names in alphabetical order in the Apps pane.

  • Optionally, you may modify the Launch Timeout value (in seconds) in the corresponding column; where the launch timeout indicates the maximum duration the DTAS software would attempt to launch the Test Application remotely to run the Test Plan. By default, the launch timeout value for each Test Application is set to 120 seconds.

  4. Perform one of the following actions:

  • Repeat the previous steps to add more Test Application names to the default (All Apps) profile.

  • Select another Profile to configure Test App names. All such Test Application names, which have been added, are made available for selection to the rest of the Profiles in the Profiles window.

  5. Click [image] to save the changes, else click [image] to simply return to the Preferences window.

· Removing a user-added Test App name


Removing a user-added Test App name

Managing Profile and App Preferences

Removing a user-added Test App name

A user-added Test Application is any Test Application that has been manually added to the DTAS software post installation. You can remove such user-added Test Application names from the default Profile (All Apps) only. Once removed, the name will removed from all other Profiles as well.

To remove a user-added Test Application name,

  1. With the default profile (All Apps) highlighted in the Names pane, scroll down to select the user-added Test Application, which you wish to remove, from the lower-pane for Apps.

  2. Click the [image] button. The Remove App? dialog box appears.

Note

The Remove button is enabled only for user-added Test Application entries. You cannot remove the default Test Application names.

  3. Click OK to remove the user-added Test Application name, else click Cancel.

  • Once removed, the list of Test Applications is automatically rearranged.

  4. Click [image] to save the changes, else click [image] to simply return to the Preferences window.

· Configuring Test App names in a Profile


Configuring Test App names in a Profile

Managing Profile and App Preferences

Configuring Test App names in a Profile

You may configure a Profile to have more or fewer Test Application names than it already had.

When you select a Profile for configuration, the DigitalTest Application Sequencer (DTAS) software automatically lists all of the currently-known Test Application names, which appear under the default (All Apps) profile.

However, you may add one or more "new" Test App name to the default Profile (All Apps). Once added, such Test Application names are also made available for selection in other Profiles in the same instance of the Profiles window.

To configure Test App names in a Profile,

  1. Select the Profile name, other than the default profile, which you wish to configure.

  2. Include or remove one or more Test App names in the highlighted profile.

  • Select the check-box [image] on the top, corresponding to the Name header to include all Test App names.

  • Scroll down the list and select the check-box [image] corresponding to the required Test App name.

  • If you find any of the Test App names pre-selected, you may de-select the check-box to remove them from the Profile.

  3. Click [image] to save the changes, else click [image] to simply return to the Preferences window.

  4. To view the Test Applications that are included in a Profile, refer to Selecting a Profile.

· Configuring DTAS Options


Configuring DTAS Options

Keysight DigitalTest Application Sequencer Software Online Help

Configuring DTAS Options

To view and configure the DTAS options,

  1. On the main window on the DTAS software, click the [image] button.

  • The Options window appears.

  2. On the Options window, you may perform one or more of the following actions:

  • Select a Profile

  • Filter projects in a Profile

  • Set options for test runs

  • Set directory for CSV Results

  3. Once you configure the DTAS Options for Profiles and Test Applications, Keysight recommends saving the DTAS Option settings. Refer to Saving Sequencer Settings.

  4. To load and view the previously saved DTAS Option settings, refer to Loading Sequencer Settings.

· Selecting a Profile


Selecting a Profile

Configuring DTAS Options

Selecting a Profile

In the DigitalTest Application Sequencer (DTAS) software, a Profile contains the names of all such Test Applications, whose projects may be included in the test plan for the sequential test runs.

To select a Profile that already exists in the DTAS software,

  1. Select the required Profile name from the Profile: drop-down list in the Options window. Note that (All Apps) is the default Profile.

  • The Test Applications, which have been included in the selected profile are displayed in the Include Projects for these apps: table.

  2. If the Test Apps listed in the table meet your requirement, proceed with either Filtering projects in a Profile or Setting options for test runs.

  3. If you do not find one or more required Test Apps listed in the table for the selected Profile name or if you need to remove one or more Test Apps from the selected Profile, refer to Managing Profile and App Preferences.

Next

· Filtering projects in a Profile

See Also

· Managing Profile and App Preferences


Filtering projects in a Profile

Configuring DTAS Options

Filtering projects in a Profile

The DTAS software enables the option to filter the Test Application names in a specific Profile, such that only the selected Test Applications and their associated projects appear on the main window of the software. Also, for all selected Test Applications, you may select the type of projects that must be included for test runs.

Selecting Apps to include projects

  1. In the Options window, select a Profile, which contains the Test Applications whose projects you want to include.

  • The Test Application names are displayed in the Include projects for these apps: table. Note that all Test Application names are selected by default, which indicates that all selected Test Application names can be enabled and the projects corresponding to these Applications can be included.

  2. To exclude projects for one or more Test Applications, de-select the corresponding check-boxes.

Selecting type of projects

Once you have filtered the Test Application names, whose projects you wish to be included in the Test Plan for the selected Profile, you may select the type of projects that must be included for test runs.

The DTAS software defines two types of projects, namely:

· App-Default Projects: The sample/default project file, which is saved in the default folder location where the Test Application is installed. By default, the Include App-Default Projects option is checked and grayed out.

· User-Defined Projects: The custom project file, which you have created and saved during the course of configuring the Test Application selected in your Test Plan. By default, the Include User-Defined Projects option is unchecked.

  1. Select the option Include User-Defined Projects to include any custom projects corresponding to the selected Test Applications.

  • When this option is selected, note that the Include App-Default Projects option gets enabled, giving you the option to include/exclude the App-Default Projects from your test plan.

  • Selecting the Include User-Defined Projects also activates a column titled User-Defined Projects on the main window of the DTAS software. Refer to Managing Test Apps to know how to add User-Defined Projects to Test Plans.

· Setting options for test runs


Setting options for test runs

Configuring DTAS Options

Setting options for test runs

For any project in a Test Plan, when you run tests, there is a possibility that there will be test failures.

The DTAS software provides certain actions, where you may select the most appropriate action the software must perform as soon as a failure is encountered during test runs.

  1. In the Options window, select one of the actions listed in the If any test fails: drop-down box.

· Select Continue, which indicates the DTAS software to ignore any test failures and to complete test runs for the projects.

· Select Pause, which indicates the DTAS software to trigger a <PAUSE> command to the Test Application, such that the test runs are paused. This option is helpful to identify specific test parameters that may be causing test failures. In case of each test failure, you will have to manually select the Resume option (under the Run tab) on the Test Application to resume test runs from where it paused.

Note

· The option Pause is not available for Test Applications, which have the legacy user interface (undockable tabs).

· Select Stop, which indicates the DTAS software to trigger a <STOP> command to the Test Application, such that the test runs are stopped. This option is also helpful to identify specific test parameters that may be causing test failures. However, unlike the Resume option, the Test Application starts test runs all over again.

· Setting directory for CSV Results


Setting directory for CSV Results

Configuring DTAS Options

Setting directory for CSV Results

The DigitalTest Application Sequencer (DTAS) software provides you the option to save the Comma-Separated Value (CSV) results that are generated upon completion of test runs.

To export CSV results to a directory on your machine,

  1. In the Run area of the Options window, select the check-box corresponding to Export CSV results to directory:. By default, this option is de-selected.

  2. Note that the default folder location for exporting CSV results is C:\Users\<user-profile>\Documents\Keysight\DigitalTestApps\AppSequencer\Results. Click the [image] button to change the folder location where the CSV results will be exported.

  3. Select the desired folder where the CSV results files must be saved to and click OK.

· Defaulting DTAS settings


Defaulting DTAS settings

Keysight DigitalTest Application Sequencer Software Online Help

Defaulting DTAS Settings

You may reset the settings of the DTAS software to the factory-default settings, that is, the software reverts to the settings configured during installation.

Defaulting the settings on the DigitalTest Application Sequencer software removes all user-added Profile and Test Application names.

To reset the DTAS software settings to default,

  1. On the main window of the DTAS software, click the [image] button.

  2. The Reset Entire Application To Installed State? dialog appears. Click OK to continue.

  • The factory-default settings appear on the Options window and the main window of the DTAS software.

  3. Refer to Loading Sequencer Settings if you wish to load any previously saved Sequencer settings.

· Connecting DTAS to Infiniium Oscilloscope


Connecting DTAS to Infiniium Oscilloscope

Keysight DigitalTest Application Sequencer Software Online Help

Connecting DTAS to Infiniium Oscilloscope

While the DigitalTest Application Sequencer (DTAS) software's Option and Preferences settings can be configured in an offline mode (without connection to the Infiniium Oscilloscope), you must ensure that the DTAS software is connected to the Infiniium Oscilloscope to enable Test Applications to run tests contained within their respective projects. You may save or load Sequencer Settings only after establishing connection to the Infiniium Oscilloscope.

To connect the DTAS software to the Infiniium Oscilloscope,

  1. In the Infiniium area of the main window of the DTAS software, enter the SICL/VISA Address or Alias in the respective text field.

Note

To find the SICL/VISA Address or Alias information for your Infiniium Oscilloscope, from the main menu of the Infiniium software, click Utilities > Remote.... You may copy the SICL/VISA address or alias from the Remote Setup dialog.

  2. Click the [image] button to establish a connection with the Oscilloscope.

Disconnecting DTAS from Infiniium Oscilloscope

If you require to switch to another Infiniium Oscilloscope at any stage, you may simply disconnect the DTAS software from the currently connected Infiniium Oscilloscope.

To disconnect the DTAS software from the Infiniium Oscilloscope,

  1. In the Infiniium area of the main window of the DTAS software, click the [image] button.

  2. The Reset All Apps? dialog appears.

  3. To continue with resetting the connection, click OK. The status of all Test Applications change to (not verified) and any entries in the Test Plan area are cleared.

· Saving Sequencer Settings


Saving Sequencer Settings

Keysight DigitalTest Application Sequencer Software Online Help

Saving Sequencer Settings

The DigitalTest Application Software (DTAS) software does not automatically retain the Options settings each time you exit the software. However, after you have modified the DTAS software as per your requirements, you can save its settings to prevent from re-configuring the software each time you launch.

The settings are saved in a Sequencer Settings file format with extension (*.seqset). This feature is enabled only after the DTAS software is connected to the Infiniium Oscilloscope. While the instrument's SICL/VISA Address is not saved, using this feature, you can:

  1. Save Options and Test Plan settings.

  2. Save Test Applications and any User-Defined Projects in the active profile, which means that the User-Defined Projects specified for other Test Applications are not saved.

  3. Saves a record of only such Test Applications that are enabled.

To save the DTAS software settings,

  1. On the main window of the DTAS software, click the [image] button.

Note

· The default folder location for saving settings is C:\Users\<user-profile>\Documents\Keysight\DigitalTestApps\AppSequencer\.

  2. In the Save Settings As window, navigate to the desired folder location, assign a name in the File name: field and click Save.

  • The lower pane of the DTAS software indicates the success in saving the Sequencer Settings file along with the folder location.

  • If you make further modifications on the DTAS software, you may repeat steps 1 & 2 to either overwrite the file or save the modified settings in a new Sequencer Settings file.

· Loading Sequencer Settings


Loading Sequencer Settings

Keysight DigitalTest Application Sequencer Software Online Help

Loading Sequencer Settings

This feature is enabled only after the DTAS software is connected to the Infiniium Oscilloscope.

To load the DTAS software settings,

  1. On the main window of the DTAS software, click the [image] button.

Note

· The default folder location for loading settings is C:\Users\<user-profile>\Documents\Keysight\DigitalTestApps\AppSequencer\.

  2. In the Load Settings window, navigate to the folder location, select the required *.seqset file and click Open.

Note

· If the pre-saved profile is not known to DTAS software, it reverts to the default profile (All Apps). To resolve this issue, add the Profile name (see Managing Profile and App Preferences) and reload the saved settings.

· A warning message is prompted if a saved Test Application is not known to the DTAS software. To resolve this issue, add the test App name (see Managing Profile and App Preferences) and reload the saved settings.

  • The Reset Application to Saved State? dialog appears, which indicates the Profile that shall be loaded.

  3. Click OK to load the mentioned Profile, along with the associated Options and Test Plan settings.

  • All settings that were saved in the selected Sequencer Settings file appear on the DTAS software. The lower pane of the DTAS software indicates the success in loading the Sequencer Settings file along with the folder location.

  • If there were any Test Applications that were enabled while the Sequencer Settings were saved, the Automatically Enable Apps? dialog appears.

  4. Click Yes to automatically enable the Test Applications that were included in the Profile, else click No if you wish to manually enable them. Refer to Enabling Test Apps to know more about how to enable Test Applications.

  • If you click Yes, the lower pane of the DTAS software indicates the success in enabling of the Test Applications other than the success in loading the Sequencer Settings file along with the folder location.

· Managing Test Apps


Managing Test Apps

Keysight DigitalTest Application Sequencer Software Online Help

Managing Test Apps

Once you have configured the DigitalTest Application Sequencer (DTAS) software's Option settings, the Test Applications of the selected Profile appear on the main window of the DTAS software.

Perform the following actions to manage the Test Applications:

· Enable Test Apps

· Create User-Defined Projects in Test App

· Add User-Defined Projects to Test Plan

· Enabling Test Apps


Enabling Test Apps

Managing Test Apps

Enabling Test Apps

To run Test Plans that have been selected for Test Applications in the selected Profile, you must enable the Test Applications on the DigitalTest Application Sequencer (DTAS) software.

To enable Test Applications:

  1. Ensure that the DTAS software is connected to the Infiniium Oscilloscope. Refer to Connecting DTAS to Infiniium Oscilloscope for instructions to establish connection.

  • Following image shows the default appearance of the main window of DTAS after a connection to Infiniium Oscilloscope is established. By default, the option to Include User-Defined Projects is not selected.

  • The Apps area has the following columns:

    1. Test Application name: Lists the names of all Test Applications that have been included in the selected Profile.

    2. Minimum Version: The minimum version of the Test Application required for compatibility with the selected Profile.

    3. Installed Version: The current version of the Test Application installed on the Infiniium Oscilloscope where DTAS is connected to. When you enable the Test Application, the corresponding version is displayed in this column.

    4. Status: The current status of the Test Application on the Infiniium Oscilloscope as detected by the DTAS software.

      • (not verified)—Test Application is defined in the Profile and is detected as installed on the Infiniium Oscilloscope but has not had its installed version verified yet.

      • Upgrade required—Test Application does not meet the required minimum version, which is required by the selected Profile.

      • Upgrade recommended—Test Application meets the required minimum version but a higher version (if available) would perform better with DTAS.

      • Available—Test Application meets the required minimum version and is fully compatible with DTAS.

    5. User-Defined Projects—This column is displayed only when you select the option Include User-Defined Projects. For more information, see Filtering projects in a Profile.

Note

The appearance of the Enable <Test-App-Name> button is subject to the availability of the Test Application on the Automated Test Apps menu of the Infiniium Oscilloscope. After establishing connection with a specific Oscilloscope, if the Enable <Test-App-Name> button does not appear for certain Test Applications, check whether or not the Test Application is installed on that Oscilloscope.

From the Infiniium application's main menu, click Analyze > Automated Test Apps. All Test Applications are displayed that are installed on the Oscilloscope the DTAS software is connected with.

In this instance, only Reference App is installed on the Infiniium Oscilloscope where the DTAS software is connected to; therefore, only the Enable Reference button is activated. (Since DTAS is unaware of the other App names that appear on this menu, see Managing Profile and App Preferences to add the Test App names).

  2. In the Apps area, click the Enable <Test-App-Name> button to enable the Test Application. Notice that the DTAS software checks whether the Test Application is running or not. If it is not running, the DTAS software triggers the launch of the Test Application on the Infiniium Oscilloscope.

  • Once the Test Application launches on the Infiniium Oscilloscope, the status on the DTAS software for the enabled Test Application is updated based upon its installed version. If the status is Available, the Test Plan area displays the App-Default Projects, by default.

  • If the DTAS option Include User-Defined Projects is also selected along with Include App-Default Projects, the main window appears as shown below.

  • If the DTAS option Include User-Defined Projects is selected but Include App-Default Projects is de-selected, the main window appears as shown below.

· Creating User-Defined Projects in Test App


Creating User-Defined Projects in Test App

Managing Test Apps

Creating User-Defined Projects in Test App

At any stage, if you select the DTAS option Include User-Defined Projects, the main window displays a User-Defined Projects column in the Apps area.

For each Test Application that has been enabled (that is, whose Status is Available), to create User-Defined Projects:

  1. In the User-Defined Projects column of the Apps area, click the [image] button.

  • The DTAS software checks if the corresponding Test Application is running or not. If not, DTAS triggers the Infiniium Oscilloscope to launch the Test Application.

  • The Create New Project window is displayed for the Test Application.

  2. Follow the instructions mentioned on the window to create a User-Defined Project on the respective Test Application. Refer to the Online Help for the corresponding Keysight Test Application to know how to create a Project.

  3. Repeat these steps for each Test Application whose Projects you wish to run.

· Adding User-Defined Projects to Test Plan


Adding User-Defined Projects to Test Plan

Managing Test Apps

Adding User-Defined Projects to Test Plan

The Project file created in the Test Application has a file extension (*.proj).

After you create the User-Defined Projects on the Test Application, perform the following steps to add such Projects to the DTAS software:

  1. In the User-Defined Projects column of the Apps area, click the [image] button.

  2. On the Open dialog that appears, navigate to the folder where the Project file is located, select the required file and click Open.

  3. Repeat the previous steps for other User-Defined Projects you wish to add for a Test Application. All such User-Defined Projects are displayed in the Test Plan area.

  • If the DTAS option Include App-Default Projects is also selected, the Test Plan area lists both types of projects with all App-Default Projects preceding the User-Defined Projects.

  4. Repeat these steps for each Test Application whose Projects you wish to run.

· Managing Test Plan


Managing Test Plan

Keysight DigitalTest Application Sequencer Software Online Help

Managing Test Plan

After adding the App-Default Projects, User-Defined Projects (or both) to the Test Plan of the DigitalTest Application Sequencer (DTAS) software for one or more Test Applications, you can manage the Projects in the following manner:

· Explore a project

· Exclude a project

· Browse result location

· Run projects in the Test Plan

After the DTAS software finishes running the Projects, you can:

· View HTML Report

· Explore test results

· Exploring a project


Exploring a project

Managing Test Plan

Exploring a project

Exploring a Project indicates viewing a Project's settings, configuration & run parameters on the Test Application and making any modifications, if required.

Using the DTAS software, you may explore both User-Defined Projects and App-Default Projects. However, you cannot modify/edit any App-Default Project after it opens on the Test Application. Each App-Defined Project appears as a "Protected Project" on the Test Application.

Note

· For a "Protected Project", the Test Application displays the message highlighted in the image below:

To explore a Project,

  1. From the Test Plan area on the main window of the DTAS software, select any Project that you want to explore.

  2. Click the [image] button to explore the selected Project on the Test Application.

  • When you click the [image] button, the DTAS software checks whether the Test Application is running on the Infiniium Oscilloscope or not. If it is not running, the DTAS software triggers the launch of the Test Application on the Infiniium Oscilloscope and automatically opens the Project you wish to explore.

  3. If you do not see the User-Defined Project, which you wish to explore, listed in the Test Plan area, you may add user-defined projects to Test Plan and repeat the previous steps.

· Excluding a project


Excluding a project

Managing Test Plan

Excluding a project

Excluding a Project indicates removing a Project from the Test Plan list of the DTAS software. By excluding a project, you are only removing the project from running via the DTAS software and not deleting the project file or its contents.

Using the DTAS software, you may individually exclude only User-Defined Projects but not App-Default Projects.

To exclude a Project,

  1. From the Test Plan area on the main window of the DTAS software, select a User-Defined Project that you want to exclude from test runs.

  2. Click the [image] button to exclude the selected Project. Note that this option is grayed out for App-Default projects.

  • The selected User-Defined Project is removed from the Test Plan list of projects.

  • If you accidentally exclude a User-Defined Project, you may add user-defined projects to Test Plan again.

· Browsing result location


Browsing result location

Managing Test Plan

Browsing result location

The DTAS software saves the test results to a default location. You may browse the result location on your machine at any point, irrespective of whether Projects in a Test Plan have run or not.

To browse the result location,

  1. From the Test Plan area on the main window of the DTAS software, click the [image] button to open the default folder location for results on your machine.

  • The default location for saving results configured by the DTAS software is C:\Users\<user-profile>\Documents\Keysight\DigitalTestApps\AppSequencer\Results. You shall find the results for all Test Plans run by the DTAS software.

  • The results are saved in the format: <project-name>_<YYYY-MM-DD>_<HH-MM-SS>_<UTC-time-stamp>.

· Running projects in the Test Plan


Running projects in the Test Plan

Managing Test Plan

Running projects in the Test Plan

The main purpose of using the DTAS software is to be able to run multiple projects remotely for one or more Test Applications.

The tabular layout of the Test Plan area lists either the App-Default Projects, User-Defined Projects, or both; depending on the way you have configured the Options window in the DTAS software. In the following image, both project types have been included.

The columns in this layout of the Test Plan area are:

  • Status—Displays the overall status of the Project after the DTAS software finishes running all selected tests in a Project.

  • App—Displays each Test Application name corresponding to each Project. The Test Application names are listed in alphabetical order.

  • Project—Displays the name of the App-Default or User-Defined Project (or both), depending on the way you have configured the Options window in the DTAS software.

  • Location—Displays the location of App-Default Projects, User-Defined Projects (or both). The DTAS software displays App internal as the location for each App-Default Project corresponding to each Test Application.

To start running the Test Plan using the DTAS software,

  1. Click the [image] button. The DTAS software starts running the Projects in the order from first project to the last project on the table.

  • Note that for each Project in the Test Plan, the DTAS software performs the following actions:

    1. Checks whether the Test Application corresponding to the Project is running on the Infiniium Oscilloscope or not. If it is not running, the DTAS software triggers the launch of the Test Application on the Infiniium Oscilloscope.

    2. Loads the Project automatically on the Test Application to run the tests selected in the Project.

    3. Saves the Project automatically on the Test Application once the tests have been run. The projects are saved in the format: <project-name>_<YYYY-MM-DD>_<HH-MM-SS>_<UTC-time-stamp>.

    4. Displays the status for each individual Project and an overall status of all project runs.

  • The Test Plan completion message is displayed on the lower pane of the DTAS software.

  • For each project in the Test Plan area that has run at least once, the [image] and [image] buttons are enabled.

  2. To view the HTML report for each project, refer to Viewing the HTML Report.

  3. To explore the test results for each project on the Test Application, refer to Exploring the test results.

Stopping the Test Plan

  1. At any stage, you may abort running the Test Plan any further by clicking the [image] button.

  • While the <STOP> request is triggered, the DTAS software waits for the Test Application to abort the currently-running Tests.

Note

· Once the test is aborted, the DTAS software stops running the Test Plan any further.

  • Once the running of the project is complete and the project is saved, the DTAS software stops running the Test Plan any further.

  2. You may click the projects that have finished running in the Test Plan to view the HTML Report or to explore the test results.

· Viewing the HTML Report


Viewing the HTML Report

Managing Test Plan

Viewing the HTML Report

You may view the HTML Report for each Project that has run in a Test Plan on the DTAS software.

To view the HTML Report,

  1. Select a Project in the Test Plan area that has already been run at least once.

  2. Click the [image] button.

  • The HTML Report for the selected report opens in the default browser on your machine.

  3. Scroll down to view the contents of the entire HTML report.

· Exploring the test results


Exploring the test results

Managing Test Plan

Exploring the test results

Exploring the test results indicates viewing a Test Application's Results tab to obtain detailed information about the results of each test in the Project.

To explore the test results,

  1. From the Test Plan area on the main window of the DTAS software, select any Project whose results you wish to explore.

  2. Click the [image] button. The Results tab is displayed on the Test Application.

  • When you click the [image] button, the DTAS software checks whether the Test Application is running on the Infiniium Oscilloscope or not. If it is not running, the DTAS software triggers the launch of the Test Application on the Infiniium Oscilloscope and automatically opens the Results tab for Project whose report you wish to explore.

· Exiting the DTAS Software


Exiting the DTAS Software

Keysight DigitalTest Application Sequencer Software Online Help

Exiting the DTAS Software

To exit the DigitalTest Application Sequencer (DTAS) Software,

  1. Click the close button [image] on the top right corner of the main window.

  • The Exit Sequencer? dialog appears.

  2. Click OK to exit the DTAS software.

Back to top

· DigitalTest Application Sequencer Software—At a Glance


DigitalTest Application Sequencer Software Licensing Information

Keysight DigitalTest Application Sequencer Software Online Help

N8844A Software Licensing Information

The N8844A Data Analytics Web Service Software requires certain licenses that enables functionality of various features.

  1. Following license types are required for access to the N8844A Data Analytics Web Service Software.

· N8844A-1FP/1TP—limits access to one user at a time.

· N8844A-4FP/4TP—limits access for up to 15 users at a time.

· N8844A-5FTP/5TP [Data Analytics Web Service Software (Corporate)]—unlimited access to any number of users at any time.

  2. Following license type enables certain features within the N8844A Data Analytics Web Service Software:

· N8844A-2FP/2TP [Data Analytics Web Service Software (Advance)]—enables the following advanced features:

  1. Import Vector data

  2. Plot measurements using Box and Whisker graphs

  3. Plot measurements using Scatter graphs

Note

After signing-in to the N8844A Data Analytics Web Service Software, if you see the message—This software's license is not fully up to date. Some features may not be available.—it indicates that the advanced license is not installed and the three features listed above are inaccessible.

· Accessing the N8844A Data Analytics Web Service Software


Restricted Rights Legend

Keysight DigitalTest Application Sequencer Software Online Help

Restricted Rights Legend

If software is for use in the performance of a U.S. Government prime contract or subcontract, Software is delivered and licensed as "Commercial computer software" as defined in DFAR 252.227-7014 (June 1995), or as a "commercial item" as defined in FAR 2.101(a) or as "Restricted computer software" as defined in FAR 52.227-19 (June 1987) or any equivalent agency regulation or contract clause. Use, duplication or disclosure of Software is subject to Keysight Technologies' standard commercial license terms, and non-DOD Departments and Agencies of the U.S. Government will receive no greater than Restricted Rights as defined in FAR 52.227-19(c)(1-2) (June 1987). U.S. Government users will receive no greater than Limited Rights as defined in FAR 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.


Safety Notices

Keysight DigitalTest Application Sequencer Software Online Help

Safety Notices

[Caution]

A CAUTION notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in damage to the product or loss of important data. Do not proceed beyond a CAUTION notice until the indicated conditions are fully understood and met.

[Warning]

A WARNING notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in personal injury or death. Do not proceed beyond a WARNING notice until the indicated conditions are fully understood and met.


Technology License

Keysight DigitalTest Application Sequencer Software Online Help

Technology License

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.


Trademarks

Keysight DigitalTest Application Sequencer Software Online Help

Trademarks

Adobe®, Acrobat®, and the Acrobat Logo® are trademarks of Adobe Systems Incorporated.

All other marks are the property of their respective owners.


Warranty

Keysight DigitalTest Application Sequencer Software Online Help

Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Keysight disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Keysight shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Keysight and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.


Setting Test Plan for selected Profile

Configuring DTAS Options

Setting Test Plan for selected Profile

Once you configure Test Applications in a Profile, you may configure the Test Plan associated with the Profile:

· to indicate only those Test Applications whose projects you wish to include for test runs. See Filtering projects in a Profile.

· to specify the type of projects, pertaining to each selected Test Application in general, which must be run. See Filtering projects in a Profile.

· to indicate the action that the DigitalTest Application Sequencer (DTAS) software must perform in case of test failures in a project. See Setting options for test runs.

· Filtering projects in a Profile